AOWP_ConstructorCallPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_ConstructorCallPointcut
/aspect/pointcut/designators/ConstructorCallPointcut.class.php at line 25

# Class AOWP_ConstructorCallPointcut

    AOWP_Pointcut
        └─AOWP_StaticPointcut
           └─AOWP_ConstructorCallPointcut

public class AOWP_ConstructorCallPointcut
extends AOWP_StaticPointcut

現在、サポートされていません (ver. 0.8)。 次期リリース予定です。 コンストラクタの呼び出しを選択するポイントカットです。 可変変数を用いたインスタンス生成には対応していません。 例えば、 `$className = 'SomeClass'; $someInstance = new $className();` を `new AOWP_ConstructorCallPointcut('someClass', 0);` で選択する事はできません。

Author:
  keiji

Field Summary
private mixed | $_argumentScount
private mixed | $_className

Constructor Summary
AOWP_ConstructorCallPointcut(string className, int argumentsCount)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)

Methods inherited from aowp.aspect.pointcut.AOWP_StaticPointcut
_runtimeMatch

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/ConstructorCallPointcut.class.php at line 27

### _argumentScount

`private mixed $_argumentScount`

/aspect/pointcut/designators/ConstructorCallPointcut.class.php at line 26

### _className

`private mixed $_className`

## Constructor Detail

/aspect/pointcut/designators/ConstructorCallPointcut.class.php at line 34

### AOWP_ConstructorCallPointcut

`public AOWP_ConstructorCallPointcut(string className, int argumentsCount)`

Parameters:
  className - クラス名
  argumentsCount - 引き数の数

## Method Detail

/aspect/pointcut/designators/ConstructorCallPointcut.class.php at line 39

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr